> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hedera.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the list of supported and deprecated chains



## OpenAPI

````yaml /smart-contract-verification-api.yaml get /chains
openapi: 3.1.0
info:
  version: 2.1.0
  title: Sourcify APIv2
  description: >-
    Welcome to the Sourcify's APIv2.


    Important differences between the deprecated legacy API and the new APIv2:

    - **Ticketing**: The verfication requests resolve into tickets/verification
    jobs. 
      - Previously the verification happened during the HTTP request, which resulted in timeouts if compilation took longer
    - **Standard JSON as default**: In the current design we take the standard
    JSON format as our main verification endpoint. Other methods such as
    "multi-file" or "single-file" should be handled by frontends or tooling to
    format into std-json. We still support verification with metadata at
    `/v2/verify/metadata`.

    - **Lean API**: We keep the number of endpoints minimal compared to v1. We
    won't have a session API. 

    - **Detailed contract response**: Prev. we only returned contract files of a
    contract. Now we can return details at `/contract/{chainId}/{address}`.


    By submitting source code for verification, you grant Sourcify (and the
    Argot Collective) a non-exclusive, worldwide, irrevocable, royalty-free
    licence to reproduce, store, and publicly display the submitted source code
    for the purposes of verification, archival, and public inspection.
  license:
    name: MIT
    url: https://github.com/argotorg/sourcify/blob/master/LICENSE
  contact:
    name: Sourcify
    url: https://sourcify.dev
    email: hello@sourcify.dev
servers:
  - url: https://sourcify.dev/server
    description: Production server
security: []
tags:
  - name: Contract Lookup
    description: API v2 - Tools and endpoints for looking up contract information
  - name: Verify Contracts
    description: API v2 - Submit a contract for verification
  - name: Verification Jobs
    description: API v2 - Check the status of a verification job
  - name: Other
    description: General server endpoints
paths:
  /chains:
    get:
      tags:
        - Other
      summary: Get the list of supported and deprecated chains
      responses:
        '200':
          description: List of supported chains
          content:
            application/json:
              schema:
                type: array
                items:
                  type: object
                  properties:
                    name:
                      type: string
                      description: Chain name
                      example: Ethereum Mainnet
                    title:
                      type: string
                      description: Chain title (optional)
                      example: Ethereum Mainnet
                    chainId:
                      type: integer
                      description: Chain ID
                      example: 1
                    rpc:
                      type: array
                      items:
                        type: string
                      description: List of RPC endpoints
                      example:
                        - https://rpc.mainnet.ethpandaops.io
                    traceSupportedRPCs:
                      type: array
                      items:
                        type: object
                        properties:
                          type:
                            type: string
                            description: Type of trace support
                            example: trace_transaction
                          index:
                            type: integer
                            description: Index of the RPC in the rpc array
                            example: 0
                      description: RPCs that support tracing
                    supported:
                      type: boolean
                      description: Whether the chain is supported for verification
                      example: true
                    etherscanAPI:
                      type: boolean
                      description: Whether Etherscan API is available for this chain
                      example: true
                  required:
                    - name
                    - chainId
                    - rpc
                    - traceSupportedRPCs
                    - supported
                    - etherscanAPI

````